<template>
	<div id="app" class="sticky-footer-container">
		<div class="sticky-footer-container-item">
			<Header />
		</div>
		<div class="main main--pushed js-main">
			<div class="sticky-footer-container">
				<div class="sticky-footer-container-item --pushed">
					<nuxt />
				</div>
			</div>
			<div class="sticky-footer-container">
				<div class="sticky-footer-container-item">
					<Footer />
				</div>
			</div>
		</div>
	</div>
</template>

<script>
export default {
	name: 'DefaultLayout',
	head() {
		return {
			link: [
				{
					rel: 'canonical',
					href: process.env.BASE_URL + this.$route.path
				}
			]
		}
	}
}
</script>
